import z from 'zod';
import { VatTypeSchema } from './vat-type.schema';

export const VatValueSchema = z.object({
  value: z.number().describe('Value').optional(),
  label: z.string().describe('Label').optional(),
  inPercent: z.number().describe('In percent').default(0).optional(),
  vatType: VatTypeSchema.describe('VAT type').default(0).optional(),
});
